@extends('layouts.user_new')
@section('custom_script')
    @include('pages.packages.declaration_script', ['jsonStructure' => $jsonStructure])
@endsection
@section('content')
    <div class="row">
        <div class="col-12">
            <h4 class="mb-5">
                <span class="text-top-title">Посылки на складе</span>
            </h4>
        </div>
    </div>
    <section class="section section-inset-1">
        <div class="container">
            @include('pages.parcels.package_menu', ['countPackages' => $countPackages, 'active' => \App\Models\Package::STATUS_INSTORE])
            <div class="row">
                <div class="col-md-12">
                    <div class="table-responsive">
                        <form action="{{ url('/packages/warehouse') }}" method="post" novalidate>

                            {{ csrf_field() }}

                            <table class="table table-hover bg-white shadow-sm table-bordered">
                                <thead class="thead-light">
                                <tr>
                                    <th>-</th>
                                    <th>№</th>
                                    <th>Статус</th>
                                    <th>Трек №</th>
                                    <th>Количество товаров</th>
                                    <th>Стоимость товаров</th>
                                    <th>Вес</th>
                                    <th>Стоимость доставки</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($packages as $package)
                                    <tr>
                                        <td class="text-center"><input type="checkbox" name="packages2pack[]" value="{{ $package->id }}"> </td>
                                        <td class="text-center">{{ $package->package_number() }}</td>
                                        <td class="text-center"><span class="badge shadow badge-{{ \App\Models\Package::$statuses_colors[$package->status] }}">{{ \App\Models\Package::$statuses_descr[$package->status] }}</span></td>
                                        <td><a href="https://www.packagetrackr.com/track/{{ $package->track_number }}" class="text-info"> {{ $package->track_number }} </a></td>
                                        <td class="d-flex justify-content-between align-items-center">
                                            <span class="badge badge-primary badge-pill">{{ $package->total_items() }}</span>
                                            <a href="#" onclick="showModal({{ $package->id }})">Декларация</a>
                                        </td>
                                        <td class="text-center">${{ $package->items_cost() }}</td>
                                        <td class="text-center">{{ $package->items_weight() }} кг</td>
                                        <td class="text-center">{{ $package->delivery_cost }}</td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>

                            <input type="submit" class="btn btn-success shadow mb-5 mt-4" value="Отправить на упаковку" />
                        </form>
                    </div>
                    <!-- RD Mailform-->
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    @include('pages.parcels.status_description')
                </div>
            </div>
        </div>
    </section>

    @include('pages.parcels.declaration_modal')
@endsection
